#include <iostream>

using namespace std;

int main()
{
    int n;
    cin>>n;
    int x[n];
    int y[n];
    int z[n];
    int br=0;
    for(int a=0;a<n;a++){
        cin>>x[a];
    }
    for(int b=0;b<n;b++){
        cin>>y[b];
    }
    for(int c=0;c<n;c++){
        cin>>z[c];
    }
    for(int i=0;i<n;i++){
        int i1=i;
        for(int j=0;j<n;j++){
            int j1=j;
            if(y[j1]==x[i1]){
                br++;
            }
        }
    }
    cout << br << endl;
    return 0;
}